PHP Manual
Prev |  | Next

# imagecolorresolve

(PHP 3 >= 3.0.2, PHP 4, PHP 5)

imagecolorresolve -- Get the index of the specified color or its closest possible alternative

## Description

int imagecolorresolve ( resource image, int red, int green, int blue )

This function is guaranteed to return a color index for a requested color, either the exact color or the closest possible alternative.

If you created the image from a file, only colors used in the image are resolved. Colors present only in the pallete are not resolved.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`red`

  Value of red component

`green`

  Value of green component

`blue`

  Value of blue component

## Return Values

Returns a color index.

## See Also

imagecolorclosest()

Prev | Home | Next
imagecolormatch | Up | imagecolorresolvealpha